## libkexiv2 25.08.3+p24.04+vstable+git20251109.0304

=== debian/changelog ===
libkexiv2 (25.08.3+p24.04+vstable+git20251109.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:04:22 +0000

libkexiv2 (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:25 +1000

=== debian/control ===
Source: libkexiv2
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libexiv2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkexiv2.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkexiv2
Maintainer: Neon CI <neon@kde.org>

Package: libkexiv2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkexiv2qt6 (<< 24.02.1), libkf6kexiv2 (<< 24.02.1)
Provides: libkexiv2qt6, libkf6kexiv2
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2-dev
Section: libdevel
Architecture: any
Depends: libkexiv2 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkexiv2qt6-dev (<< 24.02.1), libkf6kexiv2-dev (<< 24.02.1)
Provides: libkexiv2qt6-dev, libkf6kexiv2-dev
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate pictures
 metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

Package: libkf6kexiv2
Architecture: all
Depends: libkexiv2, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kexiv2-dev
Architecture: all
Depends: libkexiv2-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkexiv2qt6
Architecture: all
Depends: libkexiv2, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkexiv2qt6-dev
Architecture: all
Depends: libkexiv2-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## libkexiv2 25.08.3+p24.04+vunstable+git20251106.1632

=== debian/changelog ===
libkexiv2 (25.08.3+p24.04+vunstable+git20251106.1632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:32:41 +0000

## libkexiv2 25.11.80

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2010-2015 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

cmake_minimum_required(VERSION 3.16)

set(ECM_MIN_VERSION     "6.0")
set(QT_MIN_VERSION      "6.5.0")
set(EXIV2_MIN_VERSION   "0.27")

project(libkexiv2 VERSION "5.1.0")

set(CMAKE_CXX_STANDARD 14) # exiv is not compatible with C++ > 14 yet
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0
# 0.1.1 => 0.2.0
# 0.1.2 => 1.0.1
# 0.1.3 => 1.0.1
# 0.1.4 => 2.0.2
# 0.1.5 => 2.1.1
# 0.1.6 => 3.0.0
# 0.1.7 => 4.0.1
# 0.1.8 => 5.0.0
# 0.2.0 => 6.0.0     (released with KDE 4.1.0)
# 0.3.0 => 7.0.0     (released with KDE 4.1.2)
# 0.4.0 => 7.1.0
# 0.5.0 => 7.2.0     (Released with KDE 4.2.0)
# 0.6.0 => 7.3.0     (Released with KDE 4.3.0)
# 1.0.0 => 8.0.0     (Released with KDE 4.4.0)
# 1.1.0 => 8.1.0     (Released with KDE 4.5.0)
# 1.2.0 => 9.0.0     (Released with KDE 4.6.0) - Including XMP sidecar support
# 2.0.0 => 10.0.0    (Released with KDE 4.7.0)
# 2.1.0 => 10.0.1    (Released with KDE 4.7.1) - Add AltLangStrEdit visible lines API
# 2.1.1 => 10.0.2    (Released with KDE 4.7.4) - Add AltLangStrEdit::setCurrentLanguageCode()
# 2.2.0 => 11.0.0    (Released with KDE 4.8.1) - Remove deprecated methods
# 2.3.0 => 11.1.0    (Released with KDE 4.8.2) - Add new static methods about XMP sidecar file management.
# 2.3.1 => 11.2.0                              - Add new method to set specific XMP tag string
# 2.4.0 => 11.3.0                              - Add new method to access on text edit widget from AltLangStrEdit
# 5.0.0 => 15.0.0    (Released with KDE 5.x)
# 5.1.0 => 15.0.0    (Released with KDE Gear) - Add QTransform-varianst methods RotationMatrix

# Library ABI version used by linker.
# For details : https://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set(KEXIV2_LIB_SO_CUR_VERSION "15")
set(KEXIV2_LIB_SO_REV_VERSION "0")
set(KEXIV2_LIB_SO_AGE_VERSION "0")
set(LIBKEXIV2_SO_VERSION  "0")

############## ECM setup ######################

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${libkexiv2_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)
include(FeatureSummary)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

############## Find Packages ###################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE
    COMPONENTS
        Core
        Gui
)

find_package(exiv2 REQUIRED CONFIG)
if (${exiv2_VERSION} VERSION_LESS ${EXIV2_MIN_VERSION})
    message(ERROR "exiv version ${exiv2_VERSION} is too old. ${EXIV2_MIN_VERSION} is required")
endif()
# not all exiv2 versions define the namespaced target and not all versions include the non namespaced one
# so use this check until we can depend on version >= 0.28.2 and use the namespaced one
if (TARGET Exiv2::exiv2lib)
    set (EXIV_TARGET_NAME Exiv2::exiv2lib)
else()
    set (EXIV_TARGET_NAME exiv2lib)
endif()

############## Targets #########################

ecm_set_disabled_deprecation_versions(
    QT 6.5
)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2010-2015 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

set(KEXIV2_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KExiv2Qt6")
set(KEXIV2_CMAKECONFIG_NAME "KExiv2Qt6")
set(LIBRARYFILE_NAME "KExiv2Qt6")
set(TARGET_EXPORT_NAME "KExiv2Qt6")
set(NAMESPACE_NAME "")

ecm_setup_version(${libkexiv2_VERSION}
    VARIABLE_PREFIX      KEXIV2
    VERSION_HEADER       "libkexiv2_version.h"
    PACKAGE_VERSION_FILE "${KEXIV2_CMAKECONFIG_NAME}ConfigVersion.cmake"
    SOVERSION            ${LIBKEXIV2_SO_VERSION}
)

kde_enable_exceptions()

add_library(KExiv2)

set_target_properties(KExiv2  PROPERTIES
    OUTPUT_NAME KF6KExiv2
    VERSION     ${KEXIV2_VERSION}
    SOVERSION   ${KEXIV2_SOVERSION}
    OUTPUT_NAME ${LIBRARYFILE_NAME}
    EXPORT_NAME ${TARGET_EXPORT_NAME}
)

if( WIN32 )
    target_compile_definitions(KExiv2 PRIVATE -DEXV_HAVE_DLL)
endif()

target_sources(KExiv2 PRIVATE
    kexiv2.cpp
    kexiv2_p.cpp
    kexiv2data.cpp
    kexiv2image.cpp
    kexiv2comments.cpp
    kexiv2exif.cpp
    kexiv2iptc.cpp
    kexiv2gps.cpp
    kexiv2xmp.cpp
    kexiv2previews.cpp
    rotationmatrix.cpp
)
ecm_qt_declare_logging_category(KExiv2
    HEADER libkexiv2_debug.h
    IDENTIFIER LIBKEXIV2_LOG
    CATEGORY_NAME "libKExiv2"
    DESCRIPTION "libKExiv2"
    EXPORT kexiv2
)

ecm_generate_headers(kexiv2_CamelCase_HEADERS
    HEADER_NAMES
        KExiv2Data
        KExiv2
        KExiv2Previews
        RotationMatrix
    PREFIX KExiv2
    REQUIRED_HEADERS kexiv2_HEADERS
)

ecm_generate_export_header(KExiv2
    BASE_NAME kexiv2
    EXPORT_FILE_NAME libkexiv2_export.h
    EXPORT_MACRO_NAME LIBKEXIV2_EXPORT
    VERSION ${libkexiv2_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.1
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    USE_VERSION_HEADER libkexiv2_version.h
)

target_include_directories(KExiv2
    INTERFACE
        "$<INSTALL_INTERFACE:${KEXIV2_INSTALL_INCLUDEDIR};${KEXIV2_INSTALL_INCLUDEDIR}/kexiv2>"
)

target_link_libraries(KExiv2
    PUBLIC
        Qt::Gui
        Qt::Core
    PRIVATE
        ${EXIV_TARGET_NAME}
)

if( WIN32 )
    target_link_libraries(KExiv2 ${EXPAT_LIBRARIES})
endif()

install(TARGETS KExiv2
    EXPORT  KExiv2Targets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kexiv2_CamelCase_HEADERS}
    DESTINATION ${KEXIV2_INSTALL_INCLUDEDIR}/KExiv2
    COMPONENT   Devel
)

install(FILES
    ${kexiv2_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2_export.h
    DESTINATION ${KEXIV2_INSTALL_INCLUDEDIR}/kexiv2
    COMPONENT   Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2_version.h
    DESTINATION ${KEXIV2_INSTALL_INCLUDEDIR}
    COMPONENT   Devel
)

ecm_qt_install_logging_categories(
    EXPORT kexiv2
    FILE libkexiv2.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

############## CMake Config Files ##############

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KEXIV2_CMAKECONFIG_NAME}")

configure_package_config_file(
    "${CMAKE_SOURCE_DIR}/cmake/templates/KExiv2Config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${KEXIV2_CMAKECONFIG_NAME}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${KEXIV2_CMAKECONFIG_NAME}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${KEXIV2_CMAKECONFIG_NAME}ConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT   Devel
)

install(EXPORT KExiv2Targets
    FILE        ${KEXIV2_CMAKECONFIG_NAME}Targets.cmake
    NAMESPACE   ${NAMESPACE_NAME}
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT   Devel
)

=== debian/changelog ===
libkexiv2 (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:56:52 +0000

## libkexiv2 25.11.90

=== debian/changelog ===
libkexiv2 (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:15:34 +0000

## libkexiv2 25.12.0

=== debian/changelog ===
libkexiv2 (25.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.0).
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/libkexiv2qt6-0.symbols: Update symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Jan 2026 22:52:01 -0500

## libkexiv2 25.12.0+p24.04+vstable+git20251208.1305

=== debian/changelog ===
libkexiv2 (25.12.0+p24.04+vstable+git20251208.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:05:32 +0000

libkexiv2 (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:18 +1000

## libkexiv2 25.12.0+p24.04+vunstable+git20251208.1305

=== debian/changelog ===
libkexiv2 (25.12.0+p24.04+vunstable+git20251208.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:05:34 +0000

## libkexiv2 25.12.1

=== debian/changelog ===
libkexiv2 (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 09:41:46 +0000

libkexiv2 (25.12.1-1) unstable; urgency=medium

  * Team upload.
  * debian/libexiv2qt6-0.symbols: Refresh symbols using buildd logs.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Jan 2026 23:11:01 -0500

libkexiv2 (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:16:17 +0000

libkexiv2 (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:35:15 +0000

=== debian/control ===
Source: libkexiv2
Section: kde
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.91.0~),
               libexiv2-dev (>= 0.27~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/graphics/libkexiv2
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2

Package: libkexiv2qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2qt6-dev
Section: libdevel
Architecture: any
Depends: libkexiv2qt6-0 (= ${binary:Version}), ${misc:Depends},
Multi-Arch: same
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

## libkexiv2 25.12.1+p24.04+vstable+git20260106.1455

=== debian/changelog ===
libkexiv2 (25.12.1+p24.04+vstable+git20260106.1455-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:55:11 +0000

libkexiv2 (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:21:26 +1000

## libkexiv2 25.12.1+p24.04+vunstable+git20260106.1455

=== debian/changelog ===
libkexiv2 (25.12.1+p24.04+vunstable+git20260106.1455-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:55:13 +0000

## libkexiv2 25.12.1+p24.04+vunstable+git20260113.0045

=== CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMGenerateExportHeader)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 include(CMakePackageConfigHelpers)
 include(FeatureSummary)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,8 @@
 kde_enable_exceptions()
 
 add_library(KExiv2)
+
+ecm_generate_qdoc(KExiv2 kexiv2.qdocconf)
 
 set_target_properties(KExiv2  PROPERTIES
     OUTPUT_NAME KF6KExiv2

=== debian/changelog ===
libkexiv2 (25.12.1+p24.04+vunstable+git20260113.0045-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 00:45:21 +0000

## libkexiv2 25.12.2

=== debian/changelog ===
libkexiv2 (25.12.2-0.1mx25) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 06 Feb 2026 21:32:34 -0800

libkexiv2 (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:31:00 +0000

=== debian/control ===
Source: libkexiv2
Section: kde
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
# XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.91.0~),
               libexiv2-dev (>= 0.27~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~)
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/graphics/libkexiv2
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2

Package: libkexiv2qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2qt6-dev
Section: libdevel
Architecture: any
Depends: libkexiv2qt6-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## libkexiv2 25.12.2+p24.04+vstable+git20260206.1544

=== debian/changelog ===
libkexiv2 (25.12.2+p24.04+vstable+git20260206.1544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:44:32 +0000

libkexiv2 (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:29:13 +0000
